
From: Adrian Bunk <bunk@stusta.de>

This patch makes two needlessly global fimware images static const.

Signed-off-by: Adrian Bunk <bunk@stusta.de>
Signed-off-by: Andrew Morton <akpm@osdl.org>
---

 dev/null                           |    0 
 drivers/net/appletalk/cops_ffdrv.h |    2 +-
 drivers/net/appletalk/cops_ltdrv.h |    2 +-
 3 files changed, 2 insertions(+), 2 deletions(-)

diff -puN drivers/net/appletalk/cops_ffdrv.h~drivers-net-appletalk-make-2-firmware-images-static-const drivers/net/appletalk/cops_ffdrv.h
--- 25/drivers/net/appletalk/cops_ffdrv.h~drivers-net-appletalk-make-2-firmware-images-static-const	Mon May  2 16:28:42 2005
+++ 25-akpm/drivers/net/appletalk/cops_ffdrv.h	Mon May  2 16:28:42 2005
@@ -28,7 +28,7 @@
 
 #ifdef CONFIG_COPS_DAYNA
 
-unsigned char ffdrv_code[] = {
+static const unsigned char ffdrv_code[] = {
 	58,3,0,50,228,149,33,255,255,34,226,149,
 	249,17,40,152,33,202,154,183,237,82,77,68,
 	11,107,98,19,54,0,237,176,175,50,80,0,
diff -L drivers/net/appletalk/cops_ffdrv.h.old -puN /dev/null /dev/null
diff -puN drivers/net/appletalk/cops_ltdrv.h~drivers-net-appletalk-make-2-firmware-images-static-const drivers/net/appletalk/cops_ltdrv.h
--- 25/drivers/net/appletalk/cops_ltdrv.h~drivers-net-appletalk-make-2-firmware-images-static-const	Mon May  2 16:28:42 2005
+++ 25-akpm/drivers/net/appletalk/cops_ltdrv.h	Mon May  2 16:28:42 2005
@@ -27,7 +27,7 @@
 
 #ifdef CONFIG_COPS_TANGENT
 
-unsigned char ltdrv_code[] = {
+static const unsigned char ltdrv_code[] = {
 	58,3,0,50,148,10,33,143,15,62,85,119,
 	190,32,9,62,170,119,190,32,3,35,24,241,
 	34,146,10,249,17,150,10,33,143,15,183,237,
diff -L drivers/net/appletalk/cops_ltdrv.h.old -puN /dev/null /dev/null
_
